Bug 51078 - .../ini.d/iptables cannot parse spaces in log-prefixes in /etc/sysconfig/iptables
.../ini.d/iptables cannot parse spaces in log-prefixes in /etc/sysconfig/ipta...
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: iptables (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
David Lawrence
: Security
: 52550 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-07 00:17 EDT by Andrew Nelson
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-25 05:38:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sequence of commands to generate and work-around problem (1.38 KB, text/plain)
2001-08-07 00:18 EDT, Andrew Nelson
no flags Details
Sequence of commands to generate and work-around problem (1.38 KB, text/plain)
2001-08-07 00:21 EDT, Andrew Nelson
no flags Details

  None (edit)
Description Andrew Nelson 2001-08-07 00:17:14 EDT
Description of Problem:
When using the init script, iptables, to load rules 
from /etc/sysconfig/iptables (that was created by 
using .../init.d/iptables save) an the load fails if a log-
prefix "{prefix}" has any spaces

How Reproducible:
Manually create rule with log-prefix using space(s); save rules with 
`iptables save`; load rules with iptables start

I have attached a file demonstrating the sequence of events.

Additional Information:
RH7.1, kernel 2.4.3-12
Comment 1 Andrew Nelson 2001-08-07 00:18:49 EDT
Created attachment 26554 [details]
Sequence of commands to generate and work-around problem
Comment 2 Andrew Nelson 2001-08-07 00:21:06 EDT
Created attachment 26555 [details]
Sequence of commands to generate and work-around problem
Comment 3 Bernhard Rosenkraenzer 2001-08-25 05:38:33 EDT
*** Bug 52550 has been marked as a duplicate of this bug. ***
Comment 4 Bernhard Rosenkraenzer 2001-08-25 05:39:25 EDT
This is fixed in 1.2.2-3
Comment 5 Tommy McNeely 2001-08-27 19:48:14 EDT
Should we use the Roswell2 beta package? or will this break things? 

Where should this update appear.. I cannot seem to get it from up2date.

Tommy

Note You need to log in before you can comment on or make changes to this bug.